RaisFastRaisFast

Products

Products

GET
/api/v1/admin/products

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/products"
Empty
POST
/api/v1/admin/products

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/products" \  -H "Content-Type: application/json" \  -d '{    "price": 0,    "title": "string"  }'
Empty
DELETE
/api/v1/admin/products/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Product ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/products/string"
Empty
PUT
/api/v1/admin/products/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Product ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/products/string" \  -H "Content-Type: application/json" \  -d '{    "version": 0  }'
Empty
GET
/api/v1/products

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/products"
Empty
GET
/api/v1/products/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Product ID

Response Body

curl -X GET "https://example.com/api/v1/products/string"
Empty